Bug 445274 - Make security officer enrollment work with Dogtag
Make security officer enrollment work with Dogtag
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.4
All Linux
urgent Severity low
: rc
: ---
Assigned To: Jack Magne
desktop-bugs@redhat.com
:
Depends On:
Blocks: 443788 497004
  Show dependency treegraph
 
Reported: 2008-05-05 17:09 EDT by Jack Magne
Modified: 2009-09-02 05:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dogtag patches for Security Officer Mode. (27.28 KB, patch)
2009-02-25 19:44 EST, Jack Magne
no flags Details | Diff
Patches for tps for Security Officer Mode UI. (399 bytes, patch)
2009-02-25 19:46 EST, Jack Magne
no flags Details | Diff
ESC changes to help assist Security Officer Mode. (2.37 KB, patch)
2009-02-25 20:18 EST, Jack Magne
no flags Details | Diff

  None (edit)
Description Jack Magne 2008-05-05 17:09:18 EDT
Description of problem:

CS73 has a feature where ESC and TPS can be used to do face to face enrollment,
supervised by a "security officer". This feature required the use of some 3rd
party ajax frameworks that did not migrate to Dogtag.

Version-Release number of selected component (if applicable):

1.0.0

How reproducible:

Always


  
Actual results:

The feature does not work due to missing files.

Expected results:

The feature should work.

Additional info:
Comment 1 Jack Magne 2009-02-24 22:23:07 EST
Making excellent progress with this issue. I have all the major functions working locally. Performing some more code cleanup before submitting.
Comment 2 Jack Magne 2009-02-25 19:44:43 EST
Created attachment 333259 [details]
Dogtag patches for Security Officer Mode.
Comment 4 Jack Magne 2009-02-25 19:46:38 EST
Created attachment 333261 [details]
Patches for tps for Security Officer Mode UI.
Comment 5 Jack Magne 2009-02-25 20:18:12 EST
Created attachment 333262 [details]
ESC changes to help assist Security Officer Mode.
Comment 6 Matthew Harmsen 2009-02-26 15:15:56 EST
attachment (id=333259) +mharmsen
dogtag/tps-ui/shared/cgi-bin/sow/format.html:
remove line 183:   <tr></tr>

attachment (id=333261) +mharmsen
attachment (id=333262) +mharmsen
Comment 8 Jack Magne 2009-02-26 17:09:48 EST
Dogtag

svn commit -m "Security Officer UI changes, #445274"
Sending        dogtag/tps/pki-tps.spec
Sending        dogtag/tps-ui/dogtag-pki-tps-ui.spec
Sending        dogtag/tps-ui/shared/cgi-bin/so/Enroll.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/cfg.pl
Sending        dogtag/tps-ui/shared/cgi-bin/sow/enroll.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/enroll_temp.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/format.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/formatso.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/main.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/read.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/read_temp.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/search.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/search_temp.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/seturl.html
Sending        dogtag/tps-ui/shared/cgi-bin/sow/welcome.html
Sending        dogtag/tps-ui/shared/docroot/esc/demo/util.js
Sending        dogtag/tps-ui/shared/docroot/esc/so/EnrollSuccess.html
Sending        dogtag/tps-ui/shared/docroot/esc/so/util.js
Sending        dogtag/tps-ui/shared/docroot/esc/sow/EnrollSuccess.html
Sending        dogtag/tps-ui/shared/docroot/esc/sow/util.js
Transmitting file data ....................
Committed revision 252.


svn commit -m "Security Officer UI changes, #445274"
Adding         js/ajax-dynamic-list.js
Adding         js/ajax.js
Adding         js/effects.js
Adding         js/lightbox.js
Adding         js/prototype.js
Adding         js/scriptaculous.js
Transmitting file data ......
Committed revision 254.

Performing status on external item at 'config'
[jmagne@dhcp-170 tps]$ svn commit -m "Security Officer UI changes, #445274"
Sending        tps/forms/esc/cgi-bin/sow/cfg.pl
Transmitting file data .
Committed revision 255.
Comment 10 Jack Magne 2009-02-26 17:37:59 EST
ESC

Checking in ESC.js;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/ESC.js,v  <--  ESC.js
new revision: 1.19; previous revision: 1.18
done
Checking in GenericAuth.xul;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/GenericAuth.xul,v  <--  Gener
icAuth.xul
new revision: 1.5; previous revision: 1.4
done
Checking in MineOverlay.xul;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/MineOverlay.xul,v  <--  MineO
verlay.xul
new revision: 1.3; previous revision: 1.2
done
Checking in certManager.xul;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/certManager.xul,v  <--  certM
anager.xul
new revision: 1.3; previous revision: 1.2
done
Checking in esc.css;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/esc.css,v  <--  esc.css
new revision: 1.6; previous revision: 1.5
done
Checking in escCertManager.js;
/cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/escCertManager.js,v  <--  esc
CertManager.js
initial revision: 1.1
Comment 11 Scott Haines 2009-04-22 14:45:36 EDT
Changing product from Certificate System to Red Hat Enterprise 5.  Rebase of
ESC to version 1.1.0 to pick up present and future Certificate System v8 fixes.
Comment 12 Scott Haines 2009-04-22 14:46:17 EDT
Setting ack requests.
Comment 13 Scott Haines 2009-04-22 14:57:29 EDT
Setting devel ack.
Comment 16 Asha Akkiangady 2009-07-27 16:29:08 EDT
Verified.

On RHEL 5.3 i386 and x86_64 esc with Security Officer mode works fine. Tested with Gemato 64 K tokens with following versions, Security officer token enrollment/formats, from security officer work station user enrollment/formats works fine.

coolkey version: coolkey-1.1.0-6.el5 (latest from RHEL5.3 BaseOS)
esc version: esc-1.1.0-9.el5 (cs 8.0 build)
Comment 18 errata-xmlrpc 2009-09-02 05:58:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1310.html

Note You need to log in before you can comment on or make changes to this bug.